com.sun.grid.jgdi.util.shell

## Class AbortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - com.sun.grid.jgdi.util.shell.AbortException

- All Implemented Interfaces:
    java.io.Serializable

      public class AbortException
      extends java.lang.IllegalArgumentException

  To Abort the run method. Replace CancellationException to avoid the conflict with concurent package.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbortException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortException

          public AbortException()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.